/************************************************************************************
  								P R O J E C T   I N F O
*************************************************************************************
  
    Project Name:	Simon
       File Name:	FSCR.c
  
     Description:	Contains C code specific to the scripting code resource
	 				of a simple file transfer tool.
  
  						Copyright  1992 Apple Computer, Inc.
  						All rights reserved.
  
*************************************************************************************
  							A U T H O R   I D E N T I T Y
*************************************************************************************
  
  	Initials	Name
  	--------	-----------------------------------------------
  	CH			Craig Hotchkiss
  
*************************************************************************************
  							R E V I S I O N   H I S T O R Y
*************************************************************************************

	Change History (most recent first):

		 <0>	  5/8/92	CH		Creation date

************************************************************************************/



/************************************************************************************
								STANDARD Mac HEADERS 
************************************************************************************/

#ifdef DUMPFILENAME
	#pragma load DUMPFILENAME
#else
	#define	DoNotDump 	1
	#include Load.c
#endif



/************************************************************************************
 	Procedure:	FSCR
 
 	Purpose:	
 
 	Inputs:		
 
 	Outputs:
************************************************************************************/
pascal		long		FSCR( FTHandle toolHandle, short message, 
								long p1, long p2, long p3 )
{
	long			retValue = ftNotSupported;
	#if Debugging == 1
		#if DefaultDebug == 1
			Str255			tempString;
		#endif
	#endif
	

#pragma unused ( p1, p2, p3 )

	(**toolHandle).errCode = noErr;
	
	switch ( message ) {
		case ftMgetMsg:
				/*		*********************
						Parameter Definitions
						*********************
					p1:		Unused
					p2:		Unused
					p3:		Unused
					returns:	FTErr in the form of a long indicating any failure.
				*/
				
			#if Debugging == 1
				#if ShowMessage == 1
					DebugStr( "\p FSCR/ftMgetMsg received.;g" );
				#endif
			#endif
			
			break;
			
		case ftMsetMsg:
				/*		*********************
						Parameter Definitions
						*********************
					p1:		Ptr					configPtr
					p2:		Unused
					p3:		Unused
					returns:	FTErr in the form of a long indicating any failure.
				*/
				
			#if Debugging == 1
				#if ShowMessage == 1
					DebugStr( "\p FSCR/ftMsetMsg received.;g" );
				#endif
			#endif
			
			break;
			
		default:
			#if Debugging == 1
				#if DefaultDebug == 1
					DebugStr( "\p FSCR - Did not understand message -- ;g" );
					NumToString( (long) message, tempString );
					DebugStr( tempString );
				#endif
			#endif
			
			break;
	} /* message switch */
	
	return ( retValue );
} /*FSCR*/
