/************************************************************************************
  								P R O J E C T   I N F O
*************************************************************************************
  
    Project Name:	Simon
       File Name:	Resources.r
  
     Description:	Contains Rez code for our CommToolbox tool.
  
  						Copyright  1992 Apple Computer, Inc.
  						All rights reserved.
  
*************************************************************************************
  							A U T H O R   I D E N T I T Y
*************************************************************************************
  
  	Initials	Name
  	--------	-----------------------------------------------
  	CH			Craig Hotchkiss
  
*************************************************************************************
  							R E V I S I O N   H I S T O R Y
*************************************************************************************

	Change History (most recent first):

		 <0>	  5/8/92	CH		Creation date

************************************************************************************/



/************************************************************************************
								STANDARD Mac HEADERS 
************************************************************************************/
#include "SysTypes.r"
#include "Types.r"



/************************************************************************************
								CTB Mac HEADERS 
************************************************************************************/
#include "CTBTypes.r"



/************************************************************************************
								Other includes
************************************************************************************/
#include $$Shell("ConstantsFileName")
INCLUDE	$$Shell("PrebuiltResourceFileName");



/************************************************************************************
									Language IDs
************************************************************************************/
#define		langEnglish						0
#define		langFrench						1
#define		langGerman						2
#define		langItalian						3
#define		langDutch						4
#define		langSwedish						5
#define		langSpanish						6
#define		langDanish						7
#define		langPortuguese					8
#define		langNorwegian					9
#define		langHebrew						10
#define		langJapanese					11
#define		langArabic						12
#define		langFinnish						13
#define		langGreek						14
#define		langIcelandic					15
#define		langMaltese						16
#define		langTurkish						17
#define		langCroatian					18
#define		langTradChinese					19
#define		langUrdu						20
#define		langHindi						21
#define		langThai						22
#define		langKorean						23
#define		langLithuanian					24
#define		langPolish						25
#define		langHungarian					26
#define		langEstonian					27
#define		langLettish						28
#define		langLatvian						28
#define		langLapponian					29
#define		langLappish						29
#define		langFaeroese					30
#define		langFarsi						31
#define		langPersian						31
#define		langRussian						32
#define		langSimpChinese					33
#define		langFlemish						34
#define		langIrish						35
#define		langAlbanian					36
#define		langRomanian					37
#define		langCzech						38
#define		langSlovak						39
#define		langSlovenian					40
#define		langYiddish						41
#define		langSerbian						42
#define		langMacedonian					43
#define		langBulgarian					44
#define		langUkrainian					45
#define		langByelorussian				46
#define		langUzbek						47
#define		langKazakh						48
#define		langAzerbaijani					49
#define		langAzerbaijanAr				50
#define		langArmenian					51
#define		langGeorgian					52
#define		langMoldavian					53
#define		langKirghiz						54
#define		langTajiki						55
#define		langTurkmen						56
#define		langMongolian					57
#define		langMongolianCyr				58
#define		langPashto						59
#define		langKurdish						60
#define		langKashmiri					61
#define		langSindhi						62
#define		langTibetan						63
#define		langNepali						64
#define		langSanskrit					65
#define		langMarathi						66
#define		langBengali						67
#define		langAssamese					68
#define		langGujarati					69
#define		langPunjabi						70
#define		langOriya						71
#define		langMalayalam					72
#define		langKannada						73
#define		langTamil						74
#define		langTelugu						75
#define		langSinhalese					76
#define		langBurmese						77
#define		langKhmer						78
#define		langLao							79
#define		langVietnamese					80
#define		langIndonesian					81
#define		langTagalog						82
#define		langMalayRoman					83
#define		langMalayArabic					84
#define		langAmharic						85
#define		langTigrinya					86
#define		langGalla						87
#define		langOromo						87
#define		langSomali						88
#define		langSwahili						89
#define		langRuanda						90
#define		langRundi						91
#define		langChewa						92
#define		langMalagasy					93
#define		langEsperanto					94
#define		langWelsh						128
#define		langBasque						129
#define		langCatalan						130
#define		langLatin						131
#define		langQuechua						132
#define		langGuarani						133
#define		langAymara						134
#define		langTatar						135
#define		langUighur						136
#define		langDzongkha					137
#define		langJavaneseRom					138
#define		langSundaneseRom				139



/************************************************************************************
								dRng Type Information
************************************************************************************/
type kDefaultType {
	integer				version = kThisToolVersion;

	byte				persistentOff = 0x0000, 
						persistentOn = 0x0001;
	byte				dontContinue = 0x0000, 
						continue = 0x0001;
};



/************************************************************************************
							kDefaultType Resource Information
************************************************************************************/
resource kDefaultType (rDefaultConfigID, "Config Range Resource", purgeable) {  
	kThisToolVersion, 
		
		/* our 2 booleans */
	persistentOn, 
	continue
};



/************************************************************************************
							kDefaultType Template Information
************************************************************************************/
data 'TMPL' (rDefaultTemplateID, kDefaultQType, purgeable) {
	$"0C54 6F6F 6C20 5665 7273 696F 6E44 5752"            /* .Tool VersionDWR */
	$"4417 5065 7273 6973 7465 6E74 0D52 6561"            /* D.PersistentRea */
	$"6473 2F57 7269 7465 7344 4259 5412 436F"            /* ds/WritesDBYT.Co */
	$"6E74 696E 7565 0D69 6620 7061 7573 6564"            /* ntinueif paused */
	$"4442 5954"                                          /* DBYT */
};



/************************************************************************************
								'faps' information
************************************************************************************/
resource 'faps' (rFapsID, "FTTool Capabilities", purgeable) {  
	{
		BatchTransfers {
			notSupported
		},
		FileTypesSupported {
			allTypes
		},
		TransferModes {
			sendAndReceive
		}
	}
};



/************************************************************************************
								CODE RMAPs
************************************************************************************/
data 'RMAP' (400, "fdef", purgeable) {
	$"434F 4445 0000 0000"                                /* CODE.... */
};

data 'RMAP' (401, "fset", purgeable) {
	$"434F 4445 0000 0000"                                /* CODE.... */
};

data 'RMAP' (402, "fval", purgeable) {
	$"434F 4445 0000 0000"                                /* CODE.... */
};

data 'RMAP' (403, "floc", purgeable) {
	$"434F 4445 0000 0000"                                /* CODE.... */
};

data 'RMAP' (404, "fscr", purgeable) {
	$"434F 4445 0000 0000"                                /* CODE.... */
};



/************************************************************************************
								BNDL Information
************************************************************************************/
resource 'fbnd' (rFbndID, "FTTool BNDL", purgeable) {  
	{	 
		'DITL', {
			langEnglish, rEnglishSetupDITL
		},
		
		'STR#', {
			langEnglish, rEnglishConfigStr,
			langFrench, rFrenchConfigStr,
			langFinnish, rFinnishConfigStr
		}
	}
};



/************************************************************************************
							BNDL Template Information
************************************************************************************/
data 'TMPL' (rXbndTemplateID, kBNDLType, purgeable) {
	$"204E 756D 6265 7220 6F66 0D74 7970 6573"            /*  Number oftypes */
	$"2028 6164 640D 3120 746F 2074 6F74 616C"            /*  (add1 to total */
	$"295A 434E 5405 2A2A 2A2A 2A4C 5354 430D"            /* )ZCNT.*****LSTC */
	$"5265 736F 7572 6365 2054 7970 6554 4E41"            /* Resource TypeTNA */
	$"4D25 4E75 6D62 6572 206F 660D 6D61 7070"            /* M%Number ofmapp */
	$"696E 6773 200D 2861 6464 2031 2074 6F20"            /* ings (add 1 to  */
	$"0D74 6F74 616C 295A 434E 5405 2A2A 2A2A"            /* total)ZCNT.**** */
	$"2A4C 5354 430D 4C6F 6361 6C20 6D61 7070"            /* *LSTCLocal mapp */
	$"696E 6744 5752 4410 5265 616C 2072 6573"            /* ingDWRD.Real res */
	$"6F75 7263 6520 4944 4457 5244 052A 2A2A"            /* ource IDDWRD.*** */
	$"2A2A 4C53 5445 052A 2A2A 2A2A 4C53 5445"            /* **LSTE.*****LSTE */
};

	/* these 3 RMAPs inform ResEdit to use the 'xbnd' TMPL when editing */
data 'RMAP' (501, "fbnd", purgeable) {
	$"7862 6E64 0000 0000"                                /* xbnd.... */
};

data 'RMAP' (500, "cbnd", purgeable) {
	$"7862 6E64 0000 0000"                                /* xbnd.... */
};

data 'RMAP' (502, "tbnd", purgeable) {
	$"7862 6E64 0000 0000"                                /* xbnd.... */
};



/************************************************************************************
								STR# Information
************************************************************************************/
resource 'STR#' (rEnglishConfigStr, "Config: English", purgeable) {
	{
		"English FirstOption",
		"English SecondOption",
		"True",
		"False"
	}
};

resource 'STR#' (rFrenchConfigStr, "Config: French", purgeable) {
	{
		"French FirstOption",
		"French SecondOption",
		"Vrai",
		"Faux"
	}
};

resource 'STR#' (rFinnishConfigStr, "Config: Finnish", purgeable) {
	{
		"Finnish FirstOption",
		"Finnish SecondOption",
		"FinnishTrue",
		"FinnishFalse"
	}
};



/************************************************************************************
								flst Information
************************************************************************************/
	/* Font Info for dialog items */
resource 'flst' (rFlstID, "Window Font List", purgeable) {
	{
		"Geneva",						/* Font name */
		plain,							/* style */
		9,								/* pt. size */
		1								/* mode */
	}
};



/************************************************************************************
								flst TMPL Information
************************************************************************************/
data 'TMPL' (rFlstTemplateID, "flst", purgeable) {
	$"0723 2046 6F6E 7473 4F43 4E54 052A 2A2A"            /* .# FontsOCNT.*** */
	$"2A2A 4C53 5443 0946 6F6E 7420 4E61 6D65"            /* **LSTCFont Name */
	$"5053 5452 0541 6C69 676E 4157 5244 0A46"            /* PSTR.AlignAWRD.F */
	$"6F6E 7420 5374 796C 6548 5752 4409 466F"            /* ont StyleHWRDFo */
	$"6E74 2053 697A 6548 5752 4409 466F 6E74"            /* nt SizeHWRDFont */
	$"204D 6F64 6548 5752 4405 2A2A 2A2A 2A4C"            /*  ModeHWRD.*****L */
	$"5354 45"                                            /* STE */
};
