/*
 	File:		FHResources.r

 	Contains:	QuickDraw GX to PostScript conversion code.
 						this file contains the PostScript resources of the font handler

 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1990-1998 by Apple Computer, Inc., all rights reserved.
*/

#include <Types.r>
#include <DatabaseAccess.r>

#include "GXToPSBuildConfig.h"
#include "PSProcSetIDs.h"
#include "FHResources.h"

/*** product names of printers that can't handle all fonts. ***/

resource 'STR#' (kFHPrintersThatCantDoAllFonts, sysHeap, purgeable) {
	{
		"LaserWriter II NTX-J";
		"LaserWriter II NTX";
	}
};

#if DOWNLOADTRUETYPESCALER
	/* include the actual scaler resources */

	/* these start at kPrinterClient ( -28269:-28264 ) -- see make file */
	#include "openscaler_encrypt.rsrc"

	/* these at kPrinterClient + 6 ( -28263:-28262 ) */
	#include "initer_encrypt.rsrc"

	/* these at kPrinterClient + 8 ( -28261:-28255 ) */
	#include "render_encrypt.rsrc"

	/* these at kPrinterClient + 15 ( -28254:-28248 ) */
	#include "bander_encrypt.rsrc"
#endif


/* the last one goes to kPrinterClient + 23 */

#if USECONTROLRESOURCES 
	/** Proc set control resource for when we are not downloading scaler **/

	resource kControlResType (kFHControlResId, sysHeap, purgeable) {

		"GXFontDict",		// dict name
		0x00010000,			// version
		0,							// revision
		2 * 1024,				// vmusage

		{
			kFHProcCopyRightNoticeID, dumpwidestring;
			kFHStartProcID,						dumpwidestring;
			kFHStartProcID + 1,				dumpwidestring;
		};
	};

	/** Proc set control resource for when we must download scaler (hex) **/

	resource kControlResType (kFHControlResId + 1, sysHeap, purgeable) {

		"GXFontDict With TrueDict",			// dict name
		0x00640000,			// version
		0,							// revision
		99 * 1024,			// vmusage

		{
			kFHProcCopyRightNoticeID, dumpwidestring;
			kFHStartProcID,						dumpwidestring;
			kFHStartProcID + 1,				dumpwidestring;
			kFHStartProcID + 2,				dumpwidestring;
			
			kFHStartProcID + 3,				dumpwidestring;
			kPrinterClient,						dumpwidestring + converttohex;			/* openscaler */
			kPrinterClient+1,					dumpwidestring + converttohex;			/* openscaler */
			kPrinterClient+2,					dumpwidestring + converttohex;			/* openscaler */
			kPrinterClient+3,					dumpwidestring + converttohex;			/* openscaler */
			kPrinterClient+4,					dumpwidestring + converttohex;			/* openscaler */
			kPrinterClient+5,					dumpwidestring + converttohex;			/* openscaler */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 5,				dumpwidestring;
			kPrinterClient+6,					dumpwidestring + converttohex;			/* initer */
			kPrinterClient+7,					dumpwidestring + converttohex;			/* initer */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 6,				dumpwidestring;
			kPrinterClient+8,					dumpwidestring + converttohex;			/* render */
			kPrinterClient+9,					dumpwidestring + converttohex;			/* render */
			kPrinterClient+10,				dumpwidestring + converttohex;			/* render */
			kPrinterClient+11,				dumpwidestring + converttohex;			/* render */
			kPrinterClient+12,				dumpwidestring + converttohex;			/* render */
			kPrinterClient+13,				dumpwidestring + converttohex;			/* render */
			kPrinterClient+14,				dumpwidestring + converttohex;			/* render */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 7,				dumpwidestring;
			kPrinterClient+15,				dumpwidestring + converttohex;			/* bander */
			kPrinterClient+16,				dumpwidestring + converttohex;			/* bander */
			kPrinterClient+17,				dumpwidestring + converttohex;			/* bander */
			kPrinterClient+18,				dumpwidestring + converttohex;			/* bander */
			kPrinterClient+19,				dumpwidestring + converttohex;			/* bander */
			kPrinterClient+20,				dumpwidestring + converttohex;			/* bander */
			kPrinterClient+21,				dumpwidestring + converttohex;			/* bander */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 4,				dumpwidestring;											/* open scaler call */
			kFHStartProcID + 9,				dumpwidestring;
		};
	};

	/** Proc set control resource for when we must download scaler (binary) **/

	resource kControlResType (kFHControlResId + 2, sysHeap, purgeable) {

		"GXFontDict With TrueDict",			// dict name
		0x001E0000,			// version
		0,							// revision
		99 * 1024,			// vmusage

		{
			kFHProcCopyRightNoticeID, dumpwidestring;
			kFHStartProcID,						dumpwidestring;
			kFHStartProcID + 1,				dumpwidestring;
			kFHStartProcID + 2,				dumpwidestring;
			
			kFHStartProcID + 3,				dumpwidestring;
			kPrinterClient,						dumpwidestring;			/* openscaler */
			kPrinterClient+1,					dumpwidestring;			/* openscaler */
			kPrinterClient+2,					dumpwidestring;			/* openscaler */
			kPrinterClient+3,					dumpwidestring;			/* openscaler */
			kPrinterClient+4,					dumpwidestring;			/* openscaler */
			kPrinterClient+5,					dumpwidestring;			/* openscaler */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 5,				dumpwidestring;
			kPrinterClient+6,					dumpwidestring;			/* initer */
			kPrinterClient+7,					dumpwidestring;			/* initer */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 6,				dumpwidestring;
			kPrinterClient+8,					dumpwidestring;			/* render */
			kPrinterClient+9,					dumpwidestring;			/* render */
			kPrinterClient+10,				dumpwidestring;			/* render */
			kPrinterClient+11,				dumpwidestring;			/* render */
			kPrinterClient+12,				dumpwidestring;			/* render */
			kPrinterClient+13,				dumpwidestring;			/* render */
			kPrinterClient+14,				dumpwidestring;			/* render */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 7,				dumpwidestring;
			kPrinterClient+15,				dumpwidestring;			/* bander */
			kPrinterClient+16,				dumpwidestring;			/* bander */
			kPrinterClient+17,				dumpwidestring;			/* bander */
			kPrinterClient+18,				dumpwidestring;			/* bander */
			kPrinterClient+19,				dumpwidestring;			/* bander */
			kPrinterClient+20,				dumpwidestring;			/* bander */
			kPrinterClient+21,				dumpwidestring;			/* bander */
			kFHStartProcID + 8,				dumpwidestring;

			kFHStartProcID + 4,				dumpwidestring;											/* open scaler call */
			kFHStartProcID + 9,				dumpwidestring;
		};
	};

#endif

resource 'wstr' (kFHProcCopyRightNoticeID, sysHeap, purgeable) {

	"%%CreationDate: Wednesday July 28, 1993 (12:00 AM)\n"
	"%%Copyright: ((C) Apple Computer Inc. 1983-1994)\n"	
	"userdict begin /GXFontDict 20 dict def end\n"
	"userdict /GXFontDict get begin\n"
};

resource 'wstr' (kFHStartProcID + 1, sysHeap, purgeable) {

	"currentdict end		%-- Definition of GXFontDict\n"
};

#if DOWNLOADTRUETYPESCALER
	resource kBinaryResType (kFHStartProcID + 2, sysHeap, purgeable) {

		"%%BeginProcSet: \"(AppleDict TrueDict)\" 100 0\n"
			"userdict begin\n"
				"userdict/patchOK known not"
					"{save "
							"false <1861AEDAE118A9F95F1629C0137F8FE656811DD93DFBEA65E947502E78BA12284B8A58EF0A32E272778DAA2ABEC72A84102D591E11D96BA61F57877B895A752D9BEAAC3DFD7D3220E2BDE7C036467464E0E836748F1DE7AB6216866F130CE7CFCEC8CE050B870C11881EE3E9D70919>"
							"{eexec}stopped{dup type/stringtype eq{pop}if}if exch "
						"restore "
						"userdict/patchOK 3 -1 roll put"
					"}if\n"
				"userdict/downloadOK known not"
					"{"
						"vmstatus exch sub exch pop 120000 gt patchOK and "
						"userdict/downloadOK 3 -1 roll put"
					"}if\n"
				"userdict/type42known known not"
					"{userdict/type42known "
						"systemdict/resourcestatus known"
						"{42/FontType resourcestatus"
							"{pop pop true}"
							"{false}ifelse"
						"}{false}ifelse "
						"put"
					"}if\n"
			"userdict/fcheckload known not{"
			"/fcheckload{{pop exec}"
					   "{save 3 dict begin"
							"/mystring 65534 string def "
							"exch/endstring exch def"
								"{currentfile mystring readline not"
									"{stop}if "
								"endstring eq{exit}if}loop end "
						"restore}ifelse"
					  "}bind def"
				"}if\n"
			"end\n"
			"type42known not downloadOK and"
			"{userdict begin\n"
			"userdict/charpathflag known not{"
				"userdict begin"
					"/*charpath /charpath load def"						/* get the current charpath */
					"/charpathflag false def"									/* initialize the flag 		*/
					"/charpath{"
						"userdict/charpathflag true put "				/* turn the flag on 		*/
						"userdict/*charpath get exec "					/* chain off to the other 	*/
						"userdict/charpathflag false put"				/* turn the flag off		*/
					"}bind def "
				"end}if\n"
				"userdict/TrueDict known not"
				"{"
					"/TrueDict 13 dict def"
				"}"
				"{"
					"TrueDict maxlength 9 lt"
					"{"
						"/TrueDict 13 dict def"
					"}if"
				"}ifelse\n"
				"TrueDict begin\n"
					"TrueDict/getVariations known not{"
						"/getVariations{currentfont dup"
								"/Variations known"
									"{/Variations get}{pop ()}ifelse"			/* used to put empty array instead of string */
							"}bind def"
						"}if\n"
					"TrueDict/writingmode known not{"
						"/writingmode{ currentfont dup"
								"/WMode known"
									"{/WMode get}{pop 0}ifelse"
							"} bind def"
					"}if\n"
					"currentdict/version 100 put "
				"end"
			"}if\n"
	};

	resource kBinaryResType (kFHStartProcID + 3, sysHeap, purgeable) {

		"userdict/TrueDict known{TrueDict/version get 100 eq{TrueDict/openscaler known not}{false}ifelse}{false}ifelse\n"
		"{currentfile eexec}exch( %endeexec)exch fcheckload\n"
	};
	resource kBinaryResType (kFHStartProcID + 4, sysHeap, purgeable) {

		"userdict/TrueDict known{TrueDict/openscaler known{TrueDict/scalerstate known not{TrueDict dup/openscaler get exec/scalerstate exch put}if}if}if\n"
	};
	resource kBinaryResType (kFHStartProcID + 5, sysHeap, purgeable) {

		"userdict/TrueDict known{TrueDict/version get 100 eq{TrueDict/initer known not}{false}ifelse}{false}ifelse\n"
		"{currentfile eexec}exch( %endeexec)exch fcheckload\n"
	};
	resource kBinaryResType (kFHStartProcID + 6, sysHeap, purgeable) {

		"userdict/TrueDict known{TrueDict/version get 100 eq{TrueDict/render known not}{false}ifelse}{false}ifelse\n"
		"{currentfile eexec}exch( %endeexec)exch fcheckload\n"
	};
	resource kBinaryResType (kFHStartProcID + 7, sysHeap, purgeable) {

		"userdict/TrueDict known{TrueDict/version get 100 eq{TrueDict/bander known not}{false}ifelse}{false}ifelse\n"
		"{currentfile eexec}exch( %endeexec)exch fcheckload\n"
	};

	resource kBinaryResType (kFHStartProcID + 8, sysHeap, purgeable) {

		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"0000000000000000000000000000000000000000000000000000000000000000\r\n"
		"cleartomark\r\n"
		" %endeexec\r\n"
	};

#endif


resource 'wstr' (kFHStartProcID + 9, sysHeap, purgeable) {
	"%%EndProcSet\n"
};

resource 'STR#' (kFHScriptResID, sysHeap, purgeable) {
	{
		/* kOurDictOnStack	*/	"userdict /GXFontDict get begin\n";
		/* kOurDictOffStack */	"end\n";
		/* kFontName				*/	"/%s\n";
		/* kFindFontPop			*/	"/%s findfont pop\n";
		/* kReEncodeFont    */	"ReEncodeFont\n";
		/* kFindFont				*/	"/%s findfont\n";
		/* kMakeComposite		*/	"%d array astore /%s MakeCompositeFont\n";
		/* kDoSave					*/	"DoSave\n";
		/* kDoRestore				*/	"DoRestore\n";
		/* kDoRestoreSave		*/	"DoRestore DoSave\n";

		/* kDebugShowText		*/	"%----Next Text is: %s\n";
		/* kDebugShowVM			*/	"%----Previous scalerStream definition should use %d bytes of VM\n";
		/* kDebugShowVMTotal*/	"%----Document Permanant fonts consumed %d bytes of VM\n";
		/* kDebugShowVMLeft	*/	"%----Remaining VM: %d bytes\n";


		/* kIncludeResource	*/	"%%IncludeResource: %q\n";
		/* kBeginResource		*/	"%%BeginResource: %q\n";
		/* kEndResource			*/	"%%EndResource\n";
		/* kBoolean					*/	"%s\n";

		/* kDebugFontRef		*/	"%----Font Reference was: %h\n";
	};
};

