/*
 	File:		IEResTypes.r
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 						File contains type definitions for PostScript resources.
						Much is taken from PSIE_types.r
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1990-1997 by Apple Computer, Inc., all rights reserved.
*/

#define	kScriptRezType		'psst'
#define	kAsciiRezType			'psat'
#define kBinaryRezType		'psbt'

#define	kScriptRezID			-28543

/*************** Resource type for PostScript resources ************/

/********
	This resource type is for PostScript script code.
	An array of short strings containing code for the body
	of the PostScript.  Parameter substitution is allowed
	and will be parsed by the PSResPrintf routine.
**********/
type kScriptRezType
	{
	
		integer = $$Countof(StringArray);							//the number of script elements in resource.
		array		StringArray {
			pstring;
		};
		
	};

/**********
	This resource type is for PostScript binary code.  The code may be 
	up to 65k bytes and will be stored in a really big pascal string.
	the first two bytes will be the length.
***********/
type kBinaryRezType
	{
		wstring;
	};


/**********
	This resource type is for PostScript Dictionary code.  The code may be 
	up to 65k bytes and will be stored in a really big pascal string.
	the first two bytes will be the length.
***********/
type kAsciiRezType
	{
		wstring;
	};
