/*
 	File:		PublicPostScriptIE.h
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 						File contains the definitions that a client needs to 
						use the PostScript imaging engine.
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1991-1997 by Apple Computer, Inc., all rights reserved.
*/

/************************

	Data structure for the startup parameter block
	
*************************/

#ifndef __PUPLICPOSTSCRIPTIE__
#define __PUPLICPOSTSCRIPTIE__

#include "GXtoPSBuildConfig.h"

#ifndef __FONTHANDLER__
#include "FontHandler.h"
#endif

typedef void *TPSIEContext;

/** PostScript driver should tag inks with this to indicate or-mode **/

enum { orModeTag = 'ormd' };


/** Constant for how much memory a client should leave free in the printer for imaging **/

#define kPostScriptIENeededVM 32768



/**** Prototypes ****/

typedef struct {
	long flags1;
}	TCompatibilityFlags;

OSErr EnterPostScriptIE(TPSIEContext *context, CGXtoPostScriptDevice *psDevice, gxPostScriptImageDataRec *params,
														TFontHandlerContext fhContext, TCompatibilityFlags* compatFlags);

OSErr	PostScriptInitGraphics(TPSIEContext context, gxPostScriptImageDataRec *imageData, gxMapping *devMapping, gxFormatHalftoneInfo *halftoneRecord);

OSErr	PostScriptRestoreGraphics(TPSIEContext context);

#ifndef GXTOPOSTSCRIPTLIBRARY
	OSErr	PostScriptIEGetProcSetList(TPSIEContext context, gxProcSetListPtr);
#else 
	OSErr	PostScriptIEDownloadProcSets(TPSIEContext context);
#endif

void		PostScriptIEReplaceFontHandler(TPSIEContext context, TFontHandlerContext newFHContext);

OSErr	ExitPostScriptIE(TPSIEContext);

OSErr PostScriptDrawShape(TPSIEContext context, gxShape theShape , gxTransform transformList[], long transformCount);



#endif // __PUPLICPOSTSCRIPTIE__
