/*
 	File:		IOUtilities.h
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 					useful utility functions for convertiong GX->Postscript
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1997 by Apple Computer, Inc., all rights reserved.
*/

#ifndef __IOUTILITIES__
#define __IOUTILITIES__

#include "MacMemory.h"

#ifdef __cplusplus
extern "C" {
#endif


// Some useful macros.
#define BITSET(bitArray, bitIndex) *((char*)bitArray + (bitIndex >> 3)) |= (0x80 >> (bitIndex & 0x7) )  
#define BITCLR(bitArray, bitIndex) *((char*)bitArray + (bitIndex >> 3)) &= ~(0x80 >> (bitIndex & 0x7) )  
#define BITTST(bitArray, bitIndex) (*((char*)bitArray + (bitIndex >> 3)) & (0x80 >> (bitIndex & 0x7) )) 

// Like blockmove but converts to hex.
void HexBlockMove(unsigned char *srcStr, unsigned char *dstPtr, unsigned long num);

// NewHandle returns an error.
OSErr	PrNewHandle(Handle *h, long size);
OSErr	PrNewHandleClear(Handle *h, long size);
OSErr	PrSetHandleSize(Handle h, long newSize);
OSErr	PrNewPtr(Ptr *p, long size);

// GetResource, returns an error.
OSErr	FetchResource(OSType	resType, short ID, Handle *h);

// For fonts
#include <GXFonts.h>
long MakeMac8BitEncoding(gxFont theFont, unsigned short encoding[]);

#ifdef __cplusplus
}
#endif


#endif
