/*
 	File:		TestGXToPostScript.r
 
 	Contains:	QuickDraw GX to PostScript conversion code.
 
 	Version:	Technology:	Quickdraw GX 1.1.x
 	 
 	Copyright:	 1997 by Apple Computer, Inc., all rights reserved.
*/

#define SystemSevenOrLater 1
#include "Types.r"

#define kPanelHeight	170
#define kPanelWidth		335
	
#define LEFTMARGIN			8
#define TOPMARGIN			13
#define RIGHTMARGIN			8
#define BOTTOMMARGIN		13
#define BOTTOMPANELMARGIN	2
#define POPUPWIDTH			260
#define STATICTEXTHEIGHT	20


resource 'CNTL' (128, purgeable) {
	{0, 0, 0+20, POPUPWIDTH},
	0,								/* Title options 0 = Left justified */
	visible,						/* Should we display the control? */
	95,								/* Title Width */
	128,		/* 'MENU' to display */
	popupMenuCDEFproc,				/* CDEF = CDEFID * 16 + varCode */
	0, 								/* refCon = ResType to append = None */
	"EPS Preview:"					/* Control title */
};

resource 'MENU' (128) {
	128, textMenuProc,
	0xFFFFFFFF,	
	disabled, "",
	{
	"No Preview", noicon, nokey, nomark, plain;
	"Black & White", noicon, nokey, nomark, plain;
	"256 Colors", noicon, nokey, nomark, plain;
	"Millions of Colors", noicon, nokey, nomark, plain;
	}
};


resource 'CNTL' (128 + 1, purgeable) {
	{0, 0, 0+20, POPUPWIDTH - 40},
	0,								/* Title options 0 = Left justified */
	visible,						/* Should we display the control? */
	99,								/* Title Width */
	128 + 1,	/* 'MENU' to display */
	popupMenuCDEFproc,				/* CDEF = CDEFID * 16 + varCode */
	0, 								/* refCon = ResType to append = None */
	"Max. VM Use:"					/* Control title */
};

resource 'MENU' (128 + 1) {
	128 + 1, textMenuProc,
	0xFFFFFFFF,	
	enabled, "",
	{
	"250 KB", noicon, nokey, nomark, plain;
	"500 KB", noicon, nokey, nomark, plain;
	"1,000 KB", noicon, nokey, nomark, plain;
	"2,000 KB", noicon, nokey, nomark, plain;
	"Unlimited", noicon, nokey, nomark, plain
	}
};


resource 'DLOG' (128, sysHeap, purgeable) {
	{40, 40, 40+kPanelHeight+BOTTOMMARGIN+20+BOTTOMMARGIN, 40+kPanelWidth+RIGHTMARGIN},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	128,
	"",
	centerMainScreen
};

resource 'DITL' (128, sysHeap, purgeable) {
	{
		{kPanelHeight+BOTTOMMARGIN, kPanelWidth-RIGHTMARGIN-60, kPanelHeight+BOTTOMMARGIN+20, kPanelWidth-RIGHTMARGIN}, 
			Button { enabled, "OK"},

		{kPanelHeight+BOTTOMMARGIN, kPanelWidth-RIGHTMARGIN-60*2-15, kPanelHeight+BOTTOMMARGIN+20, kPanelWidth-RIGHTMARGIN-60*1-15}, 
			Button { enabled, "Cancel"},
			
		{TOPMARGIN, LEFTMARGIN, TOPMARGIN+STATICTEXTHEIGHT, LEFTMARGIN+240},
			StaticText { enabled, "PostScript File Options:"},
		
		/**** Preview pop-up menu ****/	
		{TOPMARGIN+STATICTEXTHEIGHT, LEFTMARGIN + 7, TOPMARGIN+STATICTEXTHEIGHT+20, LEFTMARGIN + 7 + POPUPWIDTH}, 
			Control { disabled, 128 },
		
		/**** Compatibility radion buttons ***/
		{TOPMARGIN + 3*STATICTEXTHEIGHT + 2, LEFTMARGIN + 1, TOPMARGIN+3*STATICTEXTHEIGHT+20, LEFTMARGIN+95},
			StaticText { enabled, "Compatibility:"},
			
		{TOPMARGIN + 3*STATICTEXTHEIGHT, LEFTMARGIN + 100, TOPMARGIN+3*STATICTEXTHEIGHT+20, LEFTMARGIN+170},
			RadioButton { enabled, "Level-1"},
		
		{TOPMARGIN + 3*STATICTEXTHEIGHT, LEFTMARGIN + 180, TOPMARGIN+3*STATICTEXTHEIGHT+20, LEFTMARGIN+280},
			RadioButton { enabled, "Level-2 Only"},
		

		/**** Font Format Radio Buttons *****/		
		{TOPMARGIN + 4*STATICTEXTHEIGHT+2, LEFTMARGIN + 1, TOPMARGIN+4*STATICTEXTHEIGHT+20, LEFTMARGIN+95},
			StaticText { enabled, "Font Formats:"},
	
		{TOPMARGIN + 4*STATICTEXTHEIGHT, LEFTMARGIN + 100, TOPMARGIN+4*STATICTEXTHEIGHT+20, LEFTMARGIN+170},
			RadioButton { enabled, "PS Only"},
		
		{TOPMARGIN + 4*STATICTEXTHEIGHT, LEFTMARGIN + 180, TOPMARGIN+4*STATICTEXTHEIGHT+20, LEFTMARGIN+322},
			RadioButton { enabled, "PS With TrueType"},
		


		/**** Color Radio Buttons *****/		
		{TOPMARGIN + 5*STATICTEXTHEIGHT+2, LEFTMARGIN + 54, TOPMARGIN+5*STATICTEXTHEIGHT+20, LEFTMARGIN+95},
			StaticText { enabled, "Color:"},
		
		{TOPMARGIN + 5*STATICTEXTHEIGHT, LEFTMARGIN + 100, TOPMARGIN+5*STATICTEXTHEIGHT+20, LEFTMARGIN+170},
			RadioButton { enabled, "Gray"},
		
		{TOPMARGIN + 5*STATICTEXTHEIGHT, LEFTMARGIN + 180, TOPMARGIN+5*STATICTEXTHEIGHT+20, LEFTMARGIN+250},
			RadioButton { enabled, "RGB"},
		
		{TOPMARGIN + 5*STATICTEXTHEIGHT, LEFTMARGIN + 260, TOPMARGIN+5*STATICTEXTHEIGHT+20, LEFTMARGIN+322},
			RadioButton { enabled, "CMYK"},
		


		/**** Point Limit Radio Buttons *****/		
		{TOPMARGIN + 6*STATICTEXTHEIGHT+2, LEFTMARGIN + 17, TOPMARGIN+6*STATICTEXTHEIGHT+20, LEFTMARGIN+95},
			StaticText { enabled, "Point Limit:"},
		
		{TOPMARGIN + 6*STATICTEXTHEIGHT, LEFTMARGIN + 100, TOPMARGIN+6*STATICTEXTHEIGHT+20, LEFTMARGIN+170},
			RadioButton { enabled, "1,500"},
		
		{TOPMARGIN + 6*STATICTEXTHEIGHT, LEFTMARGIN + 180, TOPMARGIN+6*STATICTEXTHEIGHT+20, LEFTMARGIN+250},
			RadioButton { enabled, "3,000"},
		
		{TOPMARGIN + 6*STATICTEXTHEIGHT, LEFTMARGIN + 260, TOPMARGIN+6*STATICTEXTHEIGHT+20, LEFTMARGIN+322},
			RadioButton { enabled, "10,000"},
		

		/**** Data Format Radio Buttons *****/		
		{TOPMARGIN + 7*STATICTEXTHEIGHT+2, LEFTMARGIN + 7, TOPMARGIN+7*STATICTEXTHEIGHT+20, LEFTMARGIN+95},
			StaticText { enabled, "Data Format:"},
		
		{TOPMARGIN + 7*STATICTEXTHEIGHT, LEFTMARGIN + 100, TOPMARGIN+7*STATICTEXTHEIGHT+20, LEFTMARGIN+170},
			RadioButton { enabled, "ASCII"},
		
		{TOPMARGIN + 7*STATICTEXTHEIGHT, LEFTMARGIN + 180, TOPMARGIN+7*STATICTEXTHEIGHT+20, LEFTMARGIN+322},
			RadioButton { enabled, "Binary"},
			
		/***** VM Usage Popup ******/
		{TOPMARGIN+2*STATICTEXTHEIGHT, LEFTMARGIN + 3, TOPMARGIN+2*STATICTEXTHEIGHT+20, LEFTMARGIN + 1 + POPUPWIDTH - 40}, 
			Control { enabled, 128+1 },
		
	}
};

